module.exports = function (item, itemOptions, source) {
  const patt = /(Data Analyst|WebLogic|WebSphere|Data Scientist|Change Manager|T24|Test Analyst|Insight Analyst|application tester|senior tester|Salesforce|QlikView|Navision|Murex|seo|django|drupal|SHAREPOINT|per annum|ServiceNow|Test Lead|User Researcher|Service Management|\(PERM\)|£\d.K|Remedy|ITSM|Symfony|Zend|Full Time|Technical Business Analyst|BUSINESS ANALYST|AUTOMATION TESTER|FIELD TECHNICIAN|websphere administrator|Research Data Scientist)/ig;

  const engineers = /(Support|Devops|Planning|security|Postgresql|network|sccm|test|data|imac|firewall|vmware)+(?:\s)(?=Engineer)/ig;
  const developers = /(Java|PHP|Graduate|Access|Oracle ADF|SHAREPOINT|Ruby on Rails|Java Software|IOS|Qlikview|c#|c\+\+|\.net|bi|go lang)+(?:\s)(?=Developer)/ig;
  const architects = /(Java|PHP|Microsoft)+(?:\s)(?=Architect)/ig;

  const result = patt.test(itemOptions.description) || engineers.test(itemOptions.description) || developers.test(itemOptions.description) || architects.test(itemOptions.description);
  const resultB = patt.test(itemOptions.title) || engineers.test(itemOptions.title) || developers.test(itemOptions.title) || architects.test(itemOptions.title);

  console.log('Reject:', (result || resultB === true) ? 'Reject' : 'Pass');

  return (result || resultB === true) ? -1 : itemOptions;
};
